#
# spec file for package poster
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           poster
Version:        20060221
Release:        bp153.1.16
Summary:        Tool for printing posters over multiple pages
License:        GPL-2.0+
Group:          Productivity/Publishing/PS
Url:            http://printing.kde.org/
Source:         poster.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This program scales a PostScript page to a given size (a poster). The
output can be tiled on multiple sheets, and output media size can be
chosen independently. Each tile (sheet) of a will bear cropmarks and
slightly overlapping image for easier poster assembly. In principle it
requires the input file to adhere to 'eps' (encapsulated postscript)
conventions but it will work for many 'normal' postscript files as
well.



Authors:
--------
    Jos T.J. van Eijndhoven <J.T.J.v.Eijndhoven@ele.tue.nl>
    Michael Goffioul <goffioul@imec.be>

%prep
%setup -q

%build
    make CFLAGS="$RPM_OPT_FLAGS"

%install
	mkdir -p		${RPM_BUILD_ROOT}/usr/bin
	install -m 0755 poster	${RPM_BUILD_ROOT}/usr/bin/
	mkdir -p		${RPM_BUILD_ROOT}%{_mandir}/man1
	install -m 0644 poster.1	${RPM_BUILD_ROOT}%{_mandir}/man1/

%files
%defattr(-,root,root)
%doc README COPYING ChangeLog manual.ps
%doc %{_mandir}/man1/poster.1.gz
/usr/bin/poster

%changelog
* Tue Oct  7 2014 jengelh@inai.de
- Remove ancient specfile tags and sections
* Tue Aug 14 2007 crrodriguez@suse.de
- added -C option for switching clipping facilities
- added -O option for setting content overlap
- make postscript functions out of read in page descriptions
  instead of copying the code for every output page
- corrected sizes of ISO A and B formats
- don't crash when specifying -s option (scaling)
* Mon Aug 13 2007 crrodriguez@suse.de
- update to version 20060221
- poster segfaults with any postscript file [#297339]
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Sep  8 2005 jreuter@suse.de
- fixed wrong permissions of man page (#114849)
* Wed Jan 26 2005 meissner@suse.de
- norootforbuild, use RPM_OPT_FLAGS
* Tue May 13 2003 jreuter@suse.de
- update to version 20020826 (Bugzilla #25882), changes according
  to upstream ChangeLog:
  - addition of "fake" option for KDEprint
  - allows selection of tile pages to print
  - replaces gets() with fgets()
  - allows input from STDIN now
  - allows poster printing of more than one page
* Mon Feb 26 2001 bjacke@suse.de
- initial build
